PickUsersDialog (gCube Pick User Widget 0.4.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.widgets.pickuser.client.dialog

## Class PickUsersDialog

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Panel
      - - com.google.gwt.user.client.ui.SimplePanel
        - - com.google.gwt.user.client.ui.PopupPanel
          - - org.gcube.portlets.widgets.pickuser.client.dialog.PickUsersDialog

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.logical.shared.HasCloseHandlers<com.google.gwt.user.client.ui.PopupPanel>, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.EventPreview, com.google.gwt.user.client.ui.AcceptsOneWidget, com.google.gwt.user.client.ui.HasAnimation, com.google.gwt.user.client.ui.HasOneWidget, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.HasWidgets, com.google.gwt.user.client.ui.HasWidgets.ForIsWidget, com.google.gwt.user.client.ui.IsWidget, com.google.gwt.user.client.ui.SourcesPopupEvents, Iterable<com.google.gwt.user.client.ui.Widget>

      public class PickUsersDialog
      extends com.google.gwt.user.client.ui.PopupPanel

  Author:
    Massimiliano Assante, ISTI-CNR Use this widget to display a a dropdown user list you can attach to a textbox to make select portal users typing @ To get to know which user was selected listen for the `PickedUserEvent` on the `HandlerManager` instance you pass to this widget.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.PopupPanel

      `com.google.gwt.user.client.ui.PopupPanel.PositionCallback`

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets

      `com.google.gwt.user.client.ui.HasWidgets.ForIsWidget`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ARROW_DOWN`
    `static int` | `ARROW_UP`
    `static int` | `DELETE`
    `static int` | `ENTER`
    `static int` | `ESCAPE`
    `static int` | `TAB`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PickUsersDialog(ArrayList<PickingUser> users, com.google.gwt.event.shared.HandlerManager eventBus, int widthInPixel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onKeyUp(int keyCode, int x, int y, String currText)` called for each keyUp event from the user
    `void` | `select(int displayIndex)` select the user in the model and in the view
    `void` | `showSuggestions(String query)`

    - ### Methods inherited from class com.google.gwt.user.client.ui.PopupPanel

      `addAutoHidePartner, addCloseHandler, addPopupListener, center, getContainerElement, getGlassElement, getGlassStyleName, getOffsetHeight, getOffsetWidth, getPopupLeft, getPopupTop, getStyleElement, getTitle, hide, hide, isAnimationEnabled, isAutoHideEnabled, isAutoHideOnHistoryEventsEnabled, isGlassEnabled, isModal, isPreviewingAllNativeEvents, isShowing, isVisible, onEventPreview, onKeyDownPreview, onKeyPressPreview, onKeyUpPreview, onPreviewNativeEvent, onUnload, removeAutoHidePartner, removePopupListener, setAnimationEnabled, setAutoHideEnabled, setAutoHideOnHistoryEventsEnabled, setGlassEnabled, setGlassStyleName, setHeight, setModal, setPopupPosition, setPopupPositionAndShow, setPreviewingAllNativeEvents, setTitle, setVisible, setWidget, setWidth, show, showRelativeTo`

    - ### Methods inherited from class com.google.gwt.user.client.ui.SimplePanel

      `add, getWidget, iterator, remove, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Panel

      `add, adopt, adopt, clear, disown, doAttachChildren, doDetachChildren, orphan, remove`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Field Detail

    - #### ARROW_UP

          public static final int ARROW_UP

      See Also:
        Constant Field Values

    - #### ARROW_DOWN

          public static final int ARROW_DOWN

      See Also:
        Constant Field Values

    - #### DELETE

          public static final int DELETE

      See Also:
        Constant Field Values

    - #### ENTER

          public static final int ENTER

      See Also:
        Constant Field Values

    - #### ESCAPE

          public static final int ESCAPE

      See Also:
        Constant Field Values

    - #### TAB

          public static final int TAB

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PickUsersDialog

          public PickUsersDialog(ArrayList<PickingUser> users,
                         com.google.gwt.event.shared.HandlerManager eventBus,
                         int widthInPixel)

      Parameters:
        `the` - list of user to pick
        `eventBus` - the event bus on where the widget will fire the selected user event
        `widthInPixel` - the desired width (grater than 199 pixel)

  - ### Method Detail

    - #### onKeyUp

          public void onKeyUp(int keyCode,
                     int x,
                     int y,
                     String currText)

      called for each keyUp event from the user
      Parameters:
        `keyCode` - the event keycode
        `x` -
        `y` -
        `currText` -

    - #### showSuggestions

          public void showSuggestions(String query)

    - #### select

          public void select(int displayIndex)

      select the user in the model and in the view
      Parameters:
        `displayIndex` -

Copyright © 2014. All Rights Reserved.